INCLUDES =	\
	-I$(top_srcdir)	\
	$(DEPS_CFLAGS)

plugindir = $(EVO_PLUGIN_DIR)
plugin_DATA = org-freedesktop-evolution-indicator.eplug
plugin_LTLIBRARIES = liborg-freedesktop-evolution-indicator.la

liborg_freedesktop_evolution_indicator_la_SOURCES = \
	evolution-indicator.c \
  xutils.c \
  xutils.h

liborg_freedesktop_evolution_indicator_la_LDFLAGS = \
	-module -avoid-version	\
	$(DEPS_LIBS)

org-freedesktop-evolution-indicator.eplug.in : org-freedesktop-evolution-indicator.eplug.xml
	LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp/notthere $< $@

org-freedesktop-evolution-indicator.eplug : org-freedesktop-evolution-indicator.eplug.in
	sed -e 's|\@GETTEXT_PACKAGE\@|$(GETTEXT_PACKAGE)|'	\
	-e 's|\@PLUGINDIR\@|$(plugindir)|' $< > $@

BUILT_SOURCES = $(plugin_DATA)

CLEANFILES = $(BUILT_SOURCES) org-freedesktop-evolution-indicator.eplug.in org-freedesktop-evolution-indicator.eplug 

EXTRA_DIST = \
	org-freedesktop-evolution-indicator.eplug.xml
